Bug 2727 - tetex after upgrade is missing files
tetex after upgrade is missing files
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Turner
: 2457 2838 2939 2968 3085 3090 3842 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 1999-05-11 01:17 EDT by jan
Modified: 2015-01-07 18:37 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 1999-07-17 15:45:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description jan 1999-05-11 01:17:28 EDT
latex fails reporting errors such as

! LaTeX Error: File `report.cls' not found.

! LaTeX Error: File `article.cls' not found.

When verifying the tetex-latex package I discovered it was
not properly installed on my system.  The redhat update
failed here.
Comment 1 Jeff Johnson 1999-05-11 12:07:59 EDT
As a workaround, try reinstalling tetex packages. Re-packaging
tetex appears to have caused the old versions of files to be
deleted while the new versions are not installed. A reinstall
appears to fix many tetex install problems.
Comment 2 Jeff Johnson 1999-05-15 10:51:59 EDT
*** Bug 2838 has been marked as a duplicate of this bug. ***

When upgrading from 5.2 to 6.0, all (la)tex packages are
marked as installed, but instead of being installed, only
emptyness is found... :(
So when upgraded run the following:
rpm --verify -a
to check everything for consistency.
I personally did not bother to do much about it. I just rpm
-e the tex bunch, and rpm -i the whole bunch again.
It only appears to behave like that with latex
(witnissed to 5.2 version -> 6.0, exactly the same results)

------- Additional Comments From ard@murphy.nl  05/15/99 08:28 -------
Oops: reported and resolved in #2727
Comment 3 Jeff Johnson 1999-05-15 16:58:59 EDT
This is an rpm/installer bug. Files shared between packages were
not correctly identified as shared and consequently were removed
during an upgrade. Using rpm -e and rpm -i for the affected
packages will work. This problem is fixed in rpm-3.0.1. There
will be an errata for both the installer and rpm Real Soon Now.
Comment 4 Hardy Mayer 1999-05-20 14:06:59 EDT
see bug report 2939, which also has some missing font sources.
Comment 5 Bill Nottingham 1999-05-21 00:08:59 EDT
*** Bug 2939 has been marked as a duplicate of this bug. ***

The upgrade 5.2->6.0 (from Cheapbytes CD-ROM) left the
following two directories empty:

I had to run rpm -ihv --force 2 or 3 times on
to get all the files properly installed.

This happened on two different machine -- so it wasn't a
fluke, and the rpm files were identical to those on the
mirros of the distribution.

------- Additional Comments From dlt@redhat.com  05/20/99 15:44 -------
Did a cdrom upgrade 5.2->6.0 using Red Hat media.  When completed
the directories /usr/share/texmf/tex/latex/base and
/usr/share/texmffontssource/public/cm were empty.  The tetex rpm
contains entries for the files in the second directory, and
tetex-latex contains entries in the first directory.
Comment 6 Bill Nottingham 1999-05-22 13:49:59 EDT
*** Bug 2968 has been marked as a duplicate of this bug. ***

After upgrading two entirely different systems from 5.2 to
6.0, I noticed that quite a few packages would not work
properly due to missing files.  Please do an
rpm --verify -a
after attempting such an upgrade.  You will find hosts of
missing files.  I have the suspicion that there is a
correlation between packages that install .rpmorig files and
this phenomenon, but at least with the tetex-latex package,
which is missing wagonloads of files after the upgrade, no
.rpmorig file was noted in the upgrade log.

This upgrade bug seems to me to be the source for bug report
2080, too.

Affected packages can be reinstalled with
rpm -U --force

About a dozen different and unrelated packages are
affected.  Since this affects every upgrade from 5.2 to 6.0,
the severity is rather high as it causes hundreds of
thousands inconsistent RedHat 6.0 systems.  Please add
upgrades to your release testing.  As verifying an upgraded
system is a single call of rpm, this is cheap to do.

I have flagged this as an i386 error since that is the
system I use.  Thius does not mean that other architectures
might not also be affected.
Comment 7 Jeff Johnson 1999-05-27 12:09:59 EDT
*** Bug 3085 has been marked as a duplicate of this bug. ***

In upgrading more than one machine to 6.0, I've found that
the essential font and class files for tetex have
disappeared- for instance:
/usr/share/texmf/tex/latex/base/article.cls has gone
missing- on both of the machines on which I performed the

A simple fix is to uninstall the tetex-related rpms and
reinstall them, but this is an annoyance.

------- Additional Comments From jbj@redhat.com  05/27/99 12:08 -------
The problem was in rpm, not the tetex packages. Deinstalling
the tetex packages and reinstalling manually will fix the problem
Comment 8 Jeff Johnson 1999-05-27 12:11:59 EDT
*** Bug 3090 has been marked as a duplicate of this bug. ***

After upgrading from 5.2 to 6.0, the tetex packages aren't
installed properly with many missing files.  Running latex
on almost any file fails due to missing files (such as
article.cls).The problem is/was in rpm. Manually deinstalling and reinstalling
the packages will correct this problem.
Comment 9 Jeff Johnson 1999-05-27 12:12:59 EDT
*** Bug 2457 has been marked as a duplicate of this bug. ***

AMS TeX wants the dummy font which appears to be missing
from tetex-0.9-17  coping dummy from a previous instilation
fixed the problem.

AmS-TeX- Version 2.1
Use of this macro package is not restricted provided
each use is acknowledged upon publication.

Loading definitions for misc utility macros, page layout,
line and page breaks, figures, comments, math spacing,
smash commands, large operator symbols, integrals, operator
multilevel sub/superscripts, matrices, multiline displays,
continued fractions, compound symbols, various kinds of
special superscripts, \text, math font commands, \newsymbol,
bold Greek and bold symbols, Euler fonts, math accents,
commutative diagrams, poor man's bold, syntax
check,kpathsea: Running mktextfm  dummy
mktextfm: Running mf \mode:=ljfour; mag:=1; nonstopmode;
input dummy
This is METAFONT, Version 2.7182 (Web2C 7.3)

kpathsea: Running mktexmf  dummy
! I can't find file `dummy'.
<*> ...e:=ljfour; mag:=1; nonstopmode; input dummy

------- Additional Comments From johnsonm@redhat.com  05/11/99 14:22 -------
If this is the bug I think it is, we have duplicated here.

The workaround is to reinstall all the tetex packages with
rpm -Uvh --replacepkgs tetex*

Please report whether or not this fixes the problem for you.
Comment 10 Jeff Johnson 1999-06-10 11:05:59 EDT
This is actually an rpm problem so I'm changing the component.
Comment 11 Jeff Johnson 1999-06-30 18:40:59 EDT
*** Bug 3842 has been marked as a duplicate of this bug. ***

It looks like there is a problem with the TEXINPUTS path.
The machine used is a regular update from 5.2 to 6.0. To
reproduce... try the following code. letter.cls will never
be found.

Comment 12 Jeff Johnson 1999-07-17 15:45:59 EDT
This problem has been fixed in the rpm-3.0.2 errata.
Comment 13 Tony Fu 2008-12-14 21:50:31 EST
*** Bug 3090 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.